=== modified file 'codeigniter/application/controllers/ajax.php'
--- codeigniter/application/controllers/ajax.php	2013-05-16 11:30:30 +0000
+++ codeigniter/application/controllers/ajax.php	2013-05-23 09:39:22 +0000
@@ -11,6 +11,14 @@
 			$this->load->model('user', '', TRUE);
 		}
 		
+		/*
+		 *	This function loads a popupview to be displayed, the argument is the name of the popupview
+		 */
+		public function popup($popupName) {
+			$popup = $this->load->view('popup/'.$popupName, '', TRUE);
+			return $popup;
+		}
+		
 		
 		/*
 		 *	This function outputs data: user password hint.
@@ -68,5 +76,15 @@
 			$pwdOld = $this->input->post('currentPwd');
 			$pwdNew = $this->input->post('newPwd');
 		}
+
+		// Takes a course ID and sets the course to published (isHidden = 0)
+		public function publishCourse($courseID) {
+
+		}
+
+		//Takes a course ID and sets the course to unpublished (isHidden = 1)
+		public function unpublishCourse($courseID) {
+			
+		}
 	}
 ?>
\ No newline at end of file

=== modified file 'codeigniter/application/models/admin/admin_model.php'
--- codeigniter/application/models/admin/admin_model.php	2013-05-22 11:39:03 +0000
+++ codeigniter/application/models/admin/admin_model.php	2013-05-23 09:39:22 +0000
@@ -17,6 +17,16 @@
 		return $query->result();
 	}
 
+	public function setCourseHidden($courseID) {
+		$this->db->where("courseID", $courseID);
+		$this->db->update("Courses", array("isHidden" => 0));
+	}
+
+	public function unsetCourseHidden($courseID){
+		$this->db->where("courseID", $courseID);
+		$this->db->update("Courses", array("isHidden" => 0));
+	}
+
 	function addCourse($cid, $name, $courseData){
 		$data = array(
 			'courseID' => $cid ,
@@ -219,4 +229,5 @@
 			echo json_encode(array('status'=>'File was uploaded successfuly!'));
 		}	
 	}
+
 }

=== modified file 'codeigniter/application/views/manageCoursesBody.php'
--- codeigniter/application/views/manageCoursesBody.php	2013-05-22 11:39:03 +0000
+++ codeigniter/application/views/manageCoursesBody.php	2013-05-23 09:39:22 +0000
@@ -20,6 +20,7 @@
 							<td class="courseID"><?= $item->courseID; ?></td>
 							<td class="courseData"><?= $item->courseData; ?></td>
 							<td><a href="#" class="manageCourseButton">Manage Course</a></td>
+							<td><pre><?=var_dump($item);?></pre></td>
 						</tr>
 						<? endforeach; ?>
 					</table>

